Subject: Re: bug#46466: 28.0.50; Tramp hangs with bad prompt even when using /bin/sh
From: Michael Albinus <[email-masked]>
To: Erik Hetzner <[email-masked]>
Cc: [email-masked]
Date: Thu, 24 Jun 2021 17:19:35 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Erik Hetzner <[email-masked]> writes:

> Hi Michael,

Hi Erik,
 
>> You might keep your local setting, or you might use the "sshx" method
>> instead of "ssh", which sets RemoteCommand. Does this work for you?
>
> Thanks very much for the explanation. I couldn’t figure out if it
> would be an issue with direct async.
>
> This is a solution for me, thank you. Please do close the ticket.

Done. Just being curious: Did you test the "sshx" method?

> I would like the documentation to be a little clearer about the fact
> that the remote default shell is used in many methods (and not
> /bin/sh). I will explore filing a patch for that.

Appreciated. Tramp 2.5.1 is scheduled for release end of June, if your
patch arrives next days, I'll integrate it. But there's no rush, I could
integrate it also anytime later.

> Thank you for your help and for maintaining the very useful tramp!
>
> best, Erik

Best regards, Michael.